GET /registrations/{registration_id}/comments/
Operation ID: registrations_comments_list
Auth: unknown
Description
A paginated list of the registration's comments. The returned comments are sorted by their creation date, with the most recent comments appearing first. #### Permissions Comments of public registrations are given read-only access to everyone. If the comment-level is `private`, only registration contributors have permission to comment. If the comment-level is `public`, any logged-in OSF user can comment. Comments of private registrations are only visible to contributors and administrators on the registration. #### Returns Returns a JSON object containing `data` and `links` keys. The `data` key contains an array of comment objects. Each resource in the array is a separate comment object. The `links` key contains a dictionary of links that can be used for [pagination](#tag/Pagination). #### Filtering You can optionally request that the response only include comments that match your filters by utilizing the `filter` query parameter, e.g. https://api.osf.io/v2/registrations/wuerf/comments/?filter[target]=wuerf Comments may be filtered by their `deleted`, `target`, `date_created`, `date_modified`. Most fields are string fields and will be filtered using simple substring matching. Deleted is a boolean field, and can be filtered using truthy values, such as **true**, **false**, **0** or **1**. Note that quoting `true` or `false` in the query will cause the match to fail.
Parameters (1)
(string, path, required)
The unique identifier of the registration.
No probe data for this endpoint yet.